# -*- coding: utf-8 -*-
# Generated by Django 1.11.18 on 2019-06-12 16:55
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('mentorship', '0028_auto_20190503_1533'),
    ]

    operations = [
        migrations.CreateModel(
            name='MentorCronofySchedule',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('day', models.PositiveSmallIntegerField(choices=[(0, 'Sun'), (1, 'Mon'), (2, 'Tue'), (3, 'Wed'), (4, 'Thu'), (5, 'Fri'), (6, 'Sat')])),
                ('type', models.PositiveSmallIntegerField(choices=[(1, 'Phone'), (3, 'Video Call'), (4, 'In Person')], default=None, null=True)),
                ('location', models.CharField(default=None, max_length=100, null=True)),
            ],
        ),
        migrations.RemoveField(
            model_name='mentor',
            name='cronofy_office_hours_schedule',
        ),
        migrations.AddField(
            model_name='mentorcronofyschedule',
            name='mentor',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='cronofy_office_hours_schedule', to='mentorship.Mentor'),
        ),
    ]
